## javax.xml.rpc.holders
Class StringHolder

    java.lang.Object
      javax.xml.rpc.holders.StringHolder

All Implemented Interfaces:
  Holder

public final class StringHolder
extends java.lang.Object
implements Holder

Holder for `String`s.

Version:
  1.0

Field Summary
`java.lang.String` `value` The `String` contained by this holder.

Constructor Summary
`StringHolder()` Make a new `StringHolder` with a `null` value.
`StringHolder(java.lang.String value)` Make a new `StringHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

  The `String` contained by this holder.

Constructor Detail

### StringHolder

    public StringHolder()

  Make a new `StringHolder` with a `null` value.

### StringHolder

    public StringHolder(java.lang.String value)

  Make a new `StringHolder` with `value` as the value.

Parameters:
  `value` - the `String` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.